<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:dir="http://apache.org/cocoon/directory/2.0">

<xsl:param name="page"/>

<xsl:template match="/">
<html>
<body>
<center>
    <h1>The Gallery - Page <xsl:value-of select="$page"/></h1>
</center>
<xsl:variable name="count" select="count(dir:directory/dir:file)"/>
<table>
<tr>
    <xsl:for-each select="dir:directory/dir:file">
        <xsl:variable name="first" select="(($page - 1)*4)+1"/>
        <xsl:variable name="last" select="($page * 4)"/>
        <xsl:if test="position() &gt;= $first and position() &lt;= $last">
            <td width="130" align="middle">
                 <a href="{/dir:directory/@name}/{@name}">
                <img src="{/dir:directory/@name}/{@name}" 
                     width="100" 
                     height="100"/>
                <br/><br/>
                <img border="0" src="graphics/{substring-before(@name, '.')}"/>
                </a>
             </td>
        </xsl:if>
    </xsl:for-each>
</tr>
<!-- now the navigation -->
<tr>
    <td width="130">&#160;</td>
    <td width="130">
        <xsl:choose>
            <xsl:when test="$page &gt; 1">
                <a href="gallery?page={$page - 1}">
                    <img border="0" src="graphics/Previous" width="130" height="30"/>
                </a>
            </xsl:when>
            <xsl:otherwise>
                &#160;
            </xsl:otherwise>
        </xsl:choose>
    </td>
    <td width="130">
        <xsl:choose>
            <xsl:when test="($page * 4) &lt; $count">
                <a href="gallery?page={$page + 1}">
                    <img border="0" src="graphics/Next" width="130" height="30"/>
                </a>
            </xsl:when>
            <xsl:otherwise>
                &#160;
            </xsl:otherwise>
        </xsl:choose>
    </td>
    <td width="130">&#160;</td>
</tr>
</table>
</body>
</html>
</xsl:template>

</xsl:stylesheet>
