<?xml version="1.0"?>

<xsl:stylesheet version="1.0"
  xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
  xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:template match="*|/"><xsl:apply-templates/></xsl:template>

<xsl:template match="text()|@*"><xsl:value-of select="."/></xsl:template>

<xsl:template match="rss">
   <fo:root xmlns:fo="http://www.w3.org/1999/XSL/Format">
   
    <fo:layout-master-set>
     <fo:simple-page-master master-name="page"
                  page-height="29.7cm" 
                  page-width="21cm"
                  margin-top="1cm" 
                  margin-bottom="2cm" 
                  margin-left="2.5cm" 
                  margin-right="2.5cm">
       <fo:region-before extent="3cm"/>
       <fo:region-body margin-top="3cm"/>
       <fo:region-after extent="1.5cm"/>
     </fo:simple-page-master>

     <fo:page-sequence-master master-name="all">
       <fo:repeatable-page-master-alternatives>
	 <fo:conditional-page-master-reference master-name="page" page-position="first"/>
       </fo:repeatable-page-master-alternatives>
     </fo:page-sequence-master>
    </fo:layout-master-set>

    <fo:page-sequence master-name="all">
      <fo:static-content flow-name="xsl-region-after">
	<fo:block text-align="center" 
	          font-size="10pt" 
		  font-family="serif" 
		  line-height="14pt">page <fo:page-number/></fo:block>
      </fo:static-content> 

      <fo:flow flow-name="xsl-region-body">
	    <fo:block font-size="24pt" line-height="36pt" space-before.optimum="24pt" text-align="center"><xsl:value-of select="channel/title"/></fo:block>	  	
		<xsl:for-each select="channel/item">
			<fo:block font-size="10pt" line-height="14pt">
				<fo:inline font-variant="small-caps" font-weight="bold"><xsl:value-of select="title"/></fo:inline>:<xsl:value-of select="description"/>
			</fo:block>
			<fo:block><fo:leader leader-length="100%" leader-pattern="rule" rule-style="solid"
		 	  rule-thickness="1px"  color="black"/>
 			</fo:block>
		</xsl:for-each>
      </fo:flow>
    </fo:page-sequence>
   </fo:root>
</xsl:template>

</xsl:stylesheet>
